List events for a venue. Filter by date range, featured status, Tablelist publish status, and tags.
- Method:
GET - Path:
/venues/{venueId}/events - Operation ID:
listVenueEvents - Tags: Events
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
venueId | string | Yes |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
skip | number | No | |
limit | number | No | |
sort | string | No | |
dateStart | string | No | |
dateEnd | string | No | |
featured | boolean | No | |
publishTablelist | boolean | No | |
tags | array<string> | No |
Header Parameters
| Name | Type | Required | Description |
|---|---|---|---|
x-tl-api-key | string | Yes |
Responses
200
Events response object.
- Content-Type:
application/json- Schema:
object
- Schema:
| Field | Type | Required | Description |
|---|---|---|---|
data | array<object> | Yes | Array of events |
default
unexpected error
- Content-Type:
application/json- Schema:
object
- Schema:
| Field | Type | Required | Description |
|---|---|---|---|
message | string | Yes | |
errors | array<object> | Yes | |
errorData | object | No |